<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__whd__tko__api_8h" kind="file" language="C++">
    <compoundname>cy_whd_tko_api.h</compoundname>
    <includes local="yes" refid="cy__lpa__wifi__tko__ol_8h">cy_lpa_wifi_tko_ol.h</includes>
    <includedby local="yes" refid="cy__lpa__wifi__tko__ol_8c">cy_lpa_wifi_tko_ol.c</includedby>
    <includedby local="yes" refid="cy__whd__tko__api_8c">cy_whd_tko_api.c</includedby>
    <innerclass prot="public" refid="structsock__seq__t">sock_seq_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="cy__whd__tko__api_8h_1a906e7306447c4c17b5dfd39b0f21ff37" kind="define" prot="public" static="no">
        <name>WHD_TKO_API_H__</name>
        <initializer>(1)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" bodystart="14" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" line="14" />
      </memberdef>
      <memberdef id="cy__whd__tko__api_8h_1a7766ab0862ac6cdfec84cd80c6b26cc7" kind="define" prot="public" static="no">
        <name>USE_HW</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" bodystart="22" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" line="22" />
      </memberdef>
      <memberdef id="cy__whd__tko__api_8h_1a1636cbc4de977bca7edccd654a1f05ad" kind="define" prot="public" static="no">
        <name>IP_ADDR_STATS</name>
        <param><defname>ipaddr</defname></param>
        <initializer>(ipaddr.u_addr.ip4.addr)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" bodystart="28" column="10" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" line="28" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__whd__tko__api_8h_1aad082d7f17f1550d600a71afe83b4d13" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>whd_result_t</type>
        <definition>whd_result_t sock_stats</definition>
        <argsstring>(sock_seq_t *seq, uint16_t local_port, uint16_t remote_port, const char *remote_ip)</argsstring>
        <name>sock_stats</name>
        <param>
          <type><ref kindref="compound" refid="structsock__seq__t">sock_seq_t</ref> *</type>
          <declname>seq</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>local_port</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>remote_port</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>remote_ip</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="341" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="307" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" line="46" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__tko__api_8h_1a59ef0e5ca932d8b5d04883e703d915a1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>whd_result_t</type>
        <definition>whd_result_t whd_tko_activate</definition>
        <argsstring>(whd_t *whd, uint8_t index, uint16_t local_port, uint16_t remote_port, const char *remote_ip)</argsstring>
        <name>whd_tko_activate</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>index</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>local_port</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>remote_port</declname>
        </param>
        <param>
          <type>const char *</type>
          <declname>remote_ip</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="301" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="212" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" line="49" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__tko__api_8h_1a41e846f72831097cb3fe61916319dbd3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>whd_result_t</type>
        <definition>whd_result_t whd_tko_enable</definition>
        <argsstring>(whd_t *whd)</argsstring>
        <name>whd_tko_enable</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="183" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="172" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" line="52" />
      </memberdef>
      <memberdef const="no" explicit="no" id="cy__whd__tko__api_8h_1ae31436304dfd9b02164a9f8239b9e71c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>whd_result_t</type>
        <definition>whd_result_t whd_tko_disable</definition>
        <argsstring>(whd_t *whd)</argsstring>
        <name>whd_tko_disable</name>
        <param>
          <type>whd_t *</type>
          <declname>whd</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="197" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_whd_tko_api.c" bodystart="186" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" line="55" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />WHD<sp />TKO<sp />Offload<sp />API.</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*</highlight></codeline>
<codeline lineno="4"><highlight class="comment"><sp />********************************************************************************</highlight></codeline>
<codeline lineno="5"><highlight class="comment"><sp />*<sp />\copyright</highlight></codeline>
<codeline lineno="6"><highlight class="comment"><sp />*<sp />Copyright<sp />2020,<sp />Cypress<sp />Semiconductor<sp />Corporation.<sp /><sp />All<sp />rights<sp />reserved.</highlight></codeline>
<codeline lineno="7"><highlight class="comment"><sp />*<sp />You<sp />may<sp />use<sp />this<sp />file<sp />only<sp />in<sp />accordance<sp />with<sp />the<sp />license,<sp />terms,<sp />conditions,</highlight></codeline>
<codeline lineno="8"><highlight class="comment"><sp />*<sp />disclaimers,<sp />and<sp />limitations<sp />in<sp />the<sp />end<sp />user<sp />license<sp />agreement<sp />accompanying</highlight></codeline>
<codeline lineno="9"><highlight class="comment"><sp />*<sp />the<sp />software<sp />package<sp />with<sp />which<sp />this<sp />file<sp />was<sp />provided.</highlight></codeline>
<codeline lineno="10"><highlight class="comment"><sp />*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="11"><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="normal" /></codeline>
<codeline lineno="13"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />WHD_TKO_API_H__</highlight><highlight class="normal" /></codeline>
<codeline lineno="14"><highlight class="normal" /><highlight class="preprocessor">#define<sp />WHD_TKO_API_H__<sp /><sp />(1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="15"><highlight class="normal" /></codeline>
<codeline lineno="16"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_lpa_wifi_tko_ol.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="19"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="20"><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /><highlight class="preprocessor">#if<sp />!defined(OLM_NO_HARDWARE)</highlight><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#define<sp />USE_HW</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__MBED__)</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IP_ADDR_STATS(ipaddr)<sp /><sp /><sp />(ipaddr.addr)</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#else</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#define<sp />IP_ADDR_STATS(ipaddr)<sp /><sp /><sp />(ipaddr.u_addr.ip4.addr)</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="32" refid="structsock__seq__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct<sp /></highlight><highlight class="normal">sock_seq</highlight></codeline>
<codeline lineno="33"><highlight class="normal">{</highlight></codeline>
<codeline lineno="34"><highlight class="normal"><sp /><sp /><sp /><sp />whd_mac_t<sp />src_mac;<sp /></highlight></codeline>
<codeline lineno="35"><highlight class="normal"><sp /><sp /><sp /><sp />whd_mac_t<sp />dst_mac;<sp /></highlight></codeline>
<codeline lineno="36"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />srcip;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="37"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />dstip;<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="38"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />srcport;<sp /><sp /></highlight></codeline>
<codeline lineno="39"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />dstport;<sp /><sp /></highlight></codeline>
<codeline lineno="40"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />seqnum;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="41"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />acknum;<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="42"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />rx_window;<sp /></highlight></codeline>
<codeline lineno="43"><highlight class="normal">}<sp /><ref kindref="compound" refid="structsock__seq__t">sock_seq_t</ref>;</highlight></codeline>
<codeline lineno="44"><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal">whd_result_t</highlight></codeline>
<codeline lineno="46"><highlight class="normal">sock_stats(<ref kindref="compound" refid="structsock__seq__t">sock_seq_t</ref><sp />*seq,<sp />uint16_t<sp />local_port,<sp />uint16_t<sp />remote_port,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*remote_ip);</highlight></codeline>
<codeline lineno="47"><highlight class="normal" /></codeline>
<codeline lineno="48"><highlight class="normal">whd_result_t</highlight></codeline>
<codeline lineno="49"><highlight class="normal">whd_tko_activate(whd_t<sp />*whd,<sp />uint8_t<sp />index,<sp />uint16_t<sp />local_port,<sp />uint16_t<sp />remote_port,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">char</highlight><highlight class="normal"><sp />*remote_ip);</highlight></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal">whd_result_t</highlight></codeline>
<codeline lineno="52"><highlight class="normal">whd_tko_enable(whd_t<sp />*whd);</highlight></codeline>
<codeline lineno="53"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="normal">whd_result_t</highlight></codeline>
<codeline lineno="55"><highlight class="normal">whd_tko_disable(whd_t<sp />*whd);</highlight></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="57"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal">}</highlight></codeline>
<codeline lineno="59"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />!WHD_TKO_API_H__<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/include/cy_whd_tko_api.h" />
  </compounddef>
</doxygen>